From db6dc9dd90613c14920b9c000c3456efd18dda90 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sat, 1 Aug 2026 05:43:24 +0000
Subject: [PATCH] msmtp: upgrade 1.8.32 -> 1.8.34

Source: ChangeLog

commit 755df9f0d3acae5fbf981642587be3d0fa631eac
Author: Martin Lambers <marlam@marlam.de>
Date:   2026-07-31 22:41:43 +0200

    Bump version to 1.8.34

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 691d7814c3e9018437d524a34f4b8c32c9114a42
Author: Martin Lambers <marlam@marlam.de>
Date:   2026-07-31 22:41:13 +0200

    Update translations

 po/de.po    | 432 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------
 po/eo.po    |  76 ++++++++++++++++---------------
 po/fr.po    |  78 +++++++++++++++++---------------
 po/pt_BR.po |  80 +++++++++++++++++----------------
 po/ro.po    |  81 +++++++++++++++++----------------
 po/uk.po    |  78 +++++++++++++++++---------------
 6 files changed, 423 insertions(+), 402 deletions(-)

commit eeb363da4739b84c4b576e2facbcb1e57db8fbf1
Author: Martin Lambers <marlam@marlam.de>
Date:   2026-07-31 22:40:20 +0200

    Update NEWS

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit dd851b4559024a318ee2259181427a3a9dbf09cf
Author: Martin Lambers <marlam@marlam.de>
Date:   2026-07-25 12:38:16 +0200

    Update gettext.h from current gettext

 src/gettext.h | 131 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 98 insertions(+), 33 deletions(-)

commit 933d35be8ab6e35a7ea3f78df54b64230177590b
Author: Martin Lambers <marlam@marlam.de>
Date:   2026-07-19 18:41:42 +0200

    msmtpq: fix loop condition in make_id()

    This fixes the second part of Github issue #228.

 scripts/msmtpq/msmtpq | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 116ab6ba707d08d49d286b812daf3d2569b5117a
Author: Martin Lambers <marlam@marlam.de>
Date:   2026-07-19 18:40:42 +0200

    msmtpq: fix compatibility with older bash

    This fixes the first part of Github issue #228.

 scripts/msmtpq/msmtpq | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3b21f759a64a25922c9f4488166fe05206752c6e
Author: CrazyMax <notifications@github.com>
Date:   2026-07-14 20:45:20 +0200

    Fix: msmtpd can leak zombie session children and eventually stop accepting connections

    This closes Github issue #227.

 src/msmtpd.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ef53d8234de99de4e3fb91c1a8d49b6a2b8f1c43
Merge: 8d04b10 cd297e5
Author: Martin Lambers <marlam@marlam.de>
Date:   2026-07-13 08:47:03 +0200

    Merge branch 'novel-novel-base64-bool'

commit cd297e5936372adfa27d3cdf0895ebd22e26f75a
Author: Roman Bogorodskiy <bogorodskiy@gmail.com>
Date:   2026-07-12 08:44:17 +0200

    Fix base64 build on FreeBSD

    On FreeBSD with clang 21 build fails with:

    In file included from smtp.c:42:
    ./base64.h:45:8: error: unknown type name 'bool'
       45 | extern bool base64_decode_ctx (struct base64_decode_context *ctx,

[Changelog truncated as it exceeds 3000 characters;
the full changelog can be found in an attachment to the AUH email]
---
 .../recipes-extended/msmtp/{msmtp_1.8.32.bb => msmtp_1.8.34.bb} | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
 rename meta/recipes-extended/msmtp/{msmtp_1.8.32.bb => msmtp_1.8.34.bb} (88%)

diff --git a/meta/recipes-extended/msmtp/msmtp_1.8.32.bb b/meta/recipes-extended/msmtp/msmtp_1.8.34.bb
similarity index 88%
rename from meta/recipes-extended/msmtp/msmtp_1.8.32.bb
rename to meta/recipes-extended/msmtp/msmtp_1.8.34.bb
index 7f39f66f65..c6ac7bf585 100644
--- a/meta/recipes-extended/msmtp/msmtp_1.8.32.bb
+++ b/meta/recipes-extended/msmtp/msmtp_1.8.34.bb
@@ -11,7 +11,7 @@ LIC_FILES_CHKSUM = "file://COPYING;md5=d32239bcb673463ab874e80d47fae504"
 UPSTREAM_CHECK_URI = "https://marlam.de/msmtp/download/"
 
 SRC_URI = "https://marlam.de/${BPN}/releases/${BP}.tar.xz"
-SRC_URI[sha256sum] = "20cd58b58dd007acf7b937fa1a1e21f3afb3e9ef5bbcfb8b4f5650deadc64db4"
+SRC_URI[sha256sum] = "84e8fe2a5a80a1ee7802013b3fbdb846a3f27a4163cf37a1c6d7c7f888873ead"
 
 inherit gettext autotools update-alternatives pkgconfig
 
-- 
2.47.1

